#pragma once
#include "olcPixelGameEngine.h"

#define PI 3.14159

class CONSTANT{
public:
	static vf2d BAR_SQUARE_SIZE;
	static Pixel HEALTH_COLOR;
	static Pixel RANGE_COLOR;
	static Pixel ATKSPD_COLOR;
	static Pixel MOVESPD_COLOR;
	static Pixel PROCEDURE_COLOR;

	static Pixel MOVE_LINE_COL;

	static vf2d UNSELECTED;

	static vi2d TILE_SIZE;
	static vi2d WORLD_SIZE;

	static float SCROLL_BOUNDARY;

	static float DEATH_FADE_TIME;

	static Pixel ATTACKER_TARGET_COL;
	static Pixel ATTACKER_ATTACK_COL;
	static Pixel HEALER_TARGET_COL;
	static Pixel HEALER_ATTACK_COL;

	static float DEBUFFICON_LIFETIME;

	static float COLLECTION_WAIT_TIME;

	static int MEMORY_ALLOCATOR_COST;

	static float UNIT_BUILD_TIME;
};